Add a field to a pricing calculator
curl --request POST \
--url https://api.journeybee.io/v1/pricing-calculators/{uuid}/fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"variable_name": "<string>",
"required": true,
"field_config": {},
"sort_order": 123
}
'import requests
url = "https://api.journeybee.io/v1/pricing-calculators/{uuid}/fields"
payload = {
"label": "<string>",
"variable_name": "<string>",
"required": True,
"field_config": {},
"sort_order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
variable_name: '<string>',
required: true,
field_config: {},
sort_order: 123
})
};
fetch('https://api.journeybee.io/v1/pricing-calculators/{uuid}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"label": "<string>",
"field_type": "number",
"variable_name": "<string>",
"required": true,
"sort_order": 123,
"field_config": {
"min": 123,
"max": 123,
"step": 123,
"default": 123,
"options": [
{
"value": "<string>",
"label": "<string>",
"priceModifier": 123
}
],
"defaultChecked": true
},
"created_at": "<string>",
"updated_at": "<string>"
}Pricing Calculator Fields
Add a field to a pricing calculator
POST
/
pricing-calculators
/
{uuid}
/
fields
Add a field to a pricing calculator
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Field label
Input type: number, slider, dropdown, radio, checkbox, text
Available options:
number, dropdown, checkbox Pattern:
^[a-zA-Z_][a-zA-Z0-9_]*$Field-type-specific config. number/slider: min/max/step/default. dropdown/radio: options. checkbox: defaultChecked.
Show child attributes
Show child attributes
Response
201 - application/json
Default Response
Available options:
number, dropdown, checkbox Field-type-specific config. number/slider: min/max/step/default. dropdown/radio: options. checkbox: defaultChecked.
Show child attributes
Show child attributes